Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 653380 - The build log has serious warnings that may cause run-time errors/crashes; suggest use of -fno-strict-aliasing
Summary: The build log has serious warnings that may cause run-time errors/crashes; su...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux
Version: 4.9
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Karel Zak
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-15 10:25 UTC by Juraj Marko
Modified: 2015-09-01 03:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-16 14:12:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0233 0 normal SHIPPED_LIVE util-linux bug fix update 2011-02-15 16:35:14 UTC

Description Juraj Marko 2010-11-15 10:25:04 UTC
Description of problem:
The build log has serious warnings that may cause run-time errors/crashes; suggest use of -fno-strict-aliasing

on: i386
    ia64
    ppc
    ppc64
    s390
    s390x
    x86_64

Version-Release number of selected component (if applicable):
util-linux-2.12a-27.el4


How reproducible:
100%


Steps to Reproduce:
1. https://errata.devel.redhat.com/rpmdiff/show/45924?result_id=625548

Comment 4 errata-xmlrpc 2011-02-16 14:12:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0233.html


Note You need to log in before you can comment on or make changes to this bug.